### File

`packages/ecl/components/ecl-content-item/ecl-content-item-image.directive.ts`

### Description

Directive used for styling the inner image element inside the content item. Also used programmatically for interaction bindings.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclContentItemImage]`

### Index

###### Properties
el
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Computed CSS classes for the host image element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

el
Type : `unknown`
Default value : `inject(ElementRef)`

### Accessors

cssClasses
get `cssClasses()`
Computed CSS classes for the host image element. Returns : `string`

# results matching ""

# No results matching ""